Check User Status

user/check/extended

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Valid values:

ParameterValue
"vendorNumber""string"
"user":
Only one of the parameters has to be sent: identificationNumber+coutry; or phone; or email; "country" - valid values are the ISO 3166-1 alpha-2 codes.

Response:

{"isRegistered":1,"isIdentified":1,"isRejected":0,"isSupervised":1,"isReadyToSign":1,"hasConfirmedPhone":1,"hasConfirmedEmail":0,"rejectReason":0

}


Reject reasons codes explanation to be considered in the integration. You can set proper user message based on the reject reason below:

0 - Unknown
1 - ID Card - one side is missing
2 - Not clear image
3 - Personal data is not correct
4 - Personal data is missing
5 - Cropped image
6 - Invalid ID document
7 - Incorrect name
8 - Incorrect place of birth
9 - Incorrect date of issue/expiration date
10 - Incorrect personal date of birth
11 - Incorrect issuing authority
12 - Broken, damaged ID document
13 - ID document partially covered
14 - Lost, stolen document
15 - Doubtful videoidentification
16 - Missing video
17 - Third-person is present
18 - Need for trusted assistance person
19 - Need for video call with an operator

Body Params
string

{
"vendorNumber": "YOUR_VENDOR_NUMBER",
"user": {
"identificationNumber": "",
"country": ""
}

or

"vendorNumber": "YOUR_VENDOR_NUMBER",
"user": {
"phone": "+123456789000"
}

or

"vendorNumber": "YOUR_VENDOR_NUMBER",
"user": {
"email": "[email protected]"
}

Headers
string
required

See Authorization header page for details.

Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json